#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001-2003, Guardian Digital Inc.
 | $Id: index.cgi,v 1.5 2003/02/25 19:48:05 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "firewall-lib.pl";

  ###  Print the usual header.
  &header("Firewall Setup", 0);

  ###  Now print the pretty HTML.
  print <<EOF;
<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="620">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>Firewall Setup</B></DIV></TD>
  </TR>

  <TR $cb>
    <TD COLSPAN="2"><DIV CLASS="nbody">
      Below you can perform firewall configuration.
    </DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="10"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR>
        <TD><DIV CLASS="nbody"><B>
          <A HREF="edit_config.cgi"> General Configuration </A>
        </B></DIV></TD>
        <TD><DIV CLASS="nbody">
          Edit general firewalling configuration options.
        </DIV></TD>
      </TR>

      <TR> <TD COLSPAN="2"> &nbsp; </TD> </TR>

      <TR>
        <TD><DIV CLASS="nbody"><B>
          <A HREF="list_portfw.cgi"> Configure Port Forwarding </A>
        </B></DIV></TD>
        <TD><DIV CLASS="nbody">
          Define hosts/ports you wish to forward.
        </DIV></TD>
      </TR>

      <TR> <TD COLSPAN="2"> &nbsp; </TD> </TR>
      <TR> <TD COLSPAN="2"> &nbsp; </TD> </TR>

      <TR>
        <TD><DIV CLASS="nbody"><B>
          <A onClick='window.open("firewall_help.cgi", "help", "toolbar=no,menubar=no,scrollbars=yes,width=400,height=350,resizable=yes"); return false' HREF="firewall_help.cgi">[ Firewall Setup Help ]</A>
        </B></DIV></TD>
        <TD><DIV CLASS="nbody">
          View the help page for this module.
        </DIV></TD>
      </TR>

      <TR> <TD COLSPAN="2"> &nbsp; </TD> </TR>

      </TABLE>
    </TD>
  </TR>

  </TABLE>
</CENTER><P>&nbsp;
EOF

  ###  Print the usual footer.
  &ryanFooter("/Security/");
