#!/usr/bin/perl

=begin comment info
 +-----------------------------------------------------------------------------+
 | Copyright 2001-2003, Guardian Digital Inc.
 | $Id: firewall_help.cgi,v 1.3.2.1 2003/04/10 13:55:54 rwm Exp $
 |
 | Ryan W. Maple <ryan@guardiandigital.com>
 +-----------------------------------------------------------------------------+
=end comment info
=cut

  ###  Import our library subroutines.
  require "firewall-lib.pl";

  ###  Now print the pretty HTML.
  print <<EOF;
Content-type: text/html

<HTML>
  <HEAD>
    <STYLE TYPE="text/css">
      A:link { text-decoration: none; }
      A:visited { text-decoration: none; }
      A:active { text-decoration: none }
      A:hover { color: #D3ACDA; }
      BODY,TH,P,FONT,LI,UL,BLOCKQUOTE,A,TABLE,I { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt }
      PRE { font-family: Courier }
      .thead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-left: 10px; }
      .ttitle { font-family: Arial, Helvetica, Sans-Serif; font-size: 14pt; color: #ffffff; margin-left: 10px; }
      .rhead { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; color: #ffffff; margin-right: 10px; }
      .nbody { font-family: Arial, Helvetica, Sans-Serif; font-size: 10pt; margin-left: 10px; margin-right: 10px; }
      .tbody { margin-left: 10px; }
      .toolfont { font-family: Arial, Helvetica, Sans-Serif;   font-size: 10pt; }
    </STYLE>
  </HEAD>

  <BODY BGCOLOR="#FFFFFF" LINK="#0000EE" VLINK="#0000EE" TEXT="#000000">

<P><CENTER>
  <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
  <TR $tb>
    <TD COLSPAN="2"><DIV CLASS="ttitle"><B>Firewall Setup Help</B></DIV></TD>
  </TR>

  <TR $cb> <TD COLSPAN="2"> &nbsp; </TD> </TR>

  <TR $cb>
    <TD WIDTH="20"> &nbsp; </TD>
    <TD>
      <TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%">
      <TR $tb>
        <TD><DIV CLASS="thead"><B> General Configuration </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          In this section you are asked to define your <B>Trusted Interface</B>
          and your <B>Untrusted Interface</B>.  Generally, your "Trusted"
          interface is the one that is connected to your internal network (ie,
          behind the firewall) and your "Untrusted" interface is the one that
          is connected directly to the Internet (ie, in front of the firewall).
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>
      <TR $tb>
        <TD><DIV CLASS="thead"><B> Configure Port Forwarding </B></DIV></TD>
      </TR>

      <TR>
        <TD><DIV CLASS="nbody">
          Here you can setup port forwarding.  When you first enter the section
          you will be presented with a listing of the existing rules.  To
          define a new rule click the <FONT COLOR="#800000">
          <B>[&nbsp;Define&nbsp;New&nbsp;Rule&nbsp;]</B></FONT> link.

          <P>When creating a new rule you will be asked to choose a protocol, a
          port (from a pre-generated list of common ports), the local address
          (ie, the address you want to forward <B>from</B>), and the remote
          address (ie, the address you want to forward <B>to</B>).  The "Local
          Address" list consists of all the IP addresses attached to your 
          <B>"Untrusted Interface"</B>.
        </DIV></TD>
      </TR>

      <TR> <TD> &nbsp </TD> </TR>
      </TABLE>
    </TD>
  </TR>

  </TABLE>
</CENTER><P>

  </BODY>
</HTML>
EOF

